## ufw 0.35

=== debian/changelog ===
ufw (0.35-5) unstable; urgency=medium

  * Remove upstart system job.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Aug 2017 17:34:49 +0100

ufw (0.35-4) unstable; urgency=medium

  * debian/ufw.lintian-overrides:
    - remove no longer needed lintian override for postinst init script
    - don't complain about 'ufw allow' rules with spellcheck
  * debian/ufw.init: add Description to INIT INFO
  * debian/control: Depends on lsb-base (>= 3.0-6)
  * debian/ufw.service: add Documentation key

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 10 Jan 2017 21:16:05 +0000

ufw (0.35-3) unstable; urgency=medium

  * 0002-bug849628.patch: adjust testsuite for recent changes to netbase
    (Closes: 849628)
  * 0003-use-default-tcp-syncookies.patch: don't override distribution default
    for TCP syncookies
  * 0004-lp1633698.patch: adjust ufw6-before-output rules for echo-reply and
    echo-request (LP: #1633698)
  * update debian/before6.rules.md5sum
  * fix lintian errors:
    - debian/control: Build-Depends on dh-python and debhelper >= 9
    - debian/compat: use compatibility level 9

 -- Jamie Strandboge <jamie@ubuntu.com>  Sun, 08 Jan 2017 16:33:45 +0000

ufw (0.35-2) unstable; urgency=medium

  [ Adam Conrad ]
  * Switch the ufw trigger to interest-noawait to avoid trigger loops.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 May 2016 10:04:46 -0500

ufw (0.35-1) unstable; urgency=medium

  * New upstream release (LP: #448503, LP: #728128)
    - drop 0002-update-testsuite-for-empty-proc-net.patch (included upstream)
    - refresh 0001-optimize-boot.patch
  * update rsyslog example to use 'stop' instead of the deprecated '~'. Patch
    from Ognyan Kulev. (Closes: 798100)
  * debian/rules: use dh_prep instead of dh_clean -k
  * debian/ufw.postinst: migrate /lib/ufw/user*rules to /etc/ufw on upgrade
    and add symlinks from /lib/ufw/user*rules to /etc/ufw (Closes: 818000)
  * debian/ufw.postrm: remove /lib/ufw/user*rules symlinks on purge

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 12 Apr 2016 14:35:47 -0500
