=== debian/control ===
Source: ufw
Section: admin
XS-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Priority: optional
Maintainer: Jamie Strandboge <jamie@ubuntu.com>
Build-Depends-Indep:
 iptables,
 netbase,
 procps,
 sed (>= 3.95)
Build-Depends:
 debhelper (>= 9),
 dh-python,
 dh-systemd,
 po-debconf,
 python (>= 2.6.6-3~),
 python3 (>= 3.2)
Standards-Version: 3.9.8
Homepage: https://launchpad.net/ufw
Vcs-Bzr: https://bazaar.launchpad.net/~jdstrand/ufw/ufw-debian

Package: ufw
Architecture: all
Suggests: rsyslog
Depends:
 iptables,
 lsb-base (>= 3.0-6),
 ucf,
 ${python3:Depends},
 ${misc:Depends}
XB-Python-Version: ${python3:Versions}
Description: program for managing a Netfilter firewall
 The Uncomplicated FireWall is a front-end for iptables, to make managing a
 Netfilter firewall easier. It provides a command line interface with syntax
 similar to OpenBSD's Packet Filter. It is particularly well-suited as a
 host-based firewall.

Package: python-ufw
Section: python
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends}
XB-Python-Version: ${python:Versions}
Breaks: ufw (<< 0.32-0ubuntu1)
Replaces: ufw (<< 0.32-0ubuntu1)
Description: Uncomplicated FireWall Python modules
 The Uncomplicated FireWall is a front-end for iptables, to make managing a
 Netfilter firewall easier. This package includes the Python modules for the
 Uncomplicated FireWall.
