=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# make sure the version is in sync with our changelog
