=== debian/changelog ===
ufw (0.35-5+8.0trisquel1) flidas-backports; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Jul 2019 19:23:11 +0200
