=== debian/control ===
--- 
+++ 
@@ -1,7 +1,5 @@
 Source: ufw
 Section: admin
-XS-Python-Version: >= 2.5
-X-Python3-Version: >= 3.2
 Priority: optional
 Maintainer: Jamie Strandboge <jamie@ubuntu.com>
 Build-Depends-Indep:
@@ -10,15 +8,15 @@
  procps,
  sed (>= 3.95)
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20160709),
  dh-python,
- dh-systemd,
  po-debconf,
  python (>= 2.6.6-3~),
- python3 (>= 3.2)
-Standards-Version: 3.9.8
+ python3 (>= 3.2),
+ python3-distutils
+Standards-Version: 4.3.0
 Homepage: https://launchpad.net/ufw
-Vcs-Bzr: https://bazaar.launchpad.net/~jdstrand/ufw/ufw-debian
+Vcs-Git: https://git.launchpad.net/ufw?h=ubuntu%2Fmaster
 
 Package: ufw
 Architecture: all
