=== debian/tests/control ===
# TODO: iptables-legacy, possibly py2
Tests: test-ufw.py
Restrictions: needs-root, allow-stderr, isolation-machine

# root unittests under python3
Tests: root-unittest
Depends: iptables,
         netbase,
         procps,
         sed,
         python3,
         python3-distutils
Restrictions: needs-root, allow-stderr, isolation-machine, build-needed, rw-build-tree

# unittests under python3 (FIXME: python needed for tests/unit/support.py)
Tests: unittest
Depends: iptables,
         netbase,
         procps,
         sed,
         python3,
         python3-distutils,
         python
Restrictions: allow-stderr, build-needed, rw-build-tree
