## ufw 0.36.1

=== debian/changelog ===
ufw (0.36.1-4build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:36:07 +0000

ufw (0.36.1-4) unstable; urgency=medium

  * debian/ufw.service: add back DefaultDependencies=no and instead add
    Wants/After local-fs.target. This will avoid a dependency on sysinit while
    ensuring that filesystems (including cryptsetup) are ready (the reason for
    removing DefaultDependencies=no in the first place). LP: #1950039

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Wed, 05 Jan 2022 18:29:53 +0000

ufw (0.36.1-3) unstable; urgency=medium

  * debian/ufw.service (LP: #1726856, Closes: 990834):
    - use Before and Wants on network-pre.target. Per systemd documentation,
      "network-pre.target is a target that may be used to order services
      before any network interface is configured. Its primary purpose is for
      usage with firewall services". Because network-pre.target is a passive
      unit, "services that want to be run before the network is configured
      should place Before=network-pre.target and also set
      Wants=network-pre.target to pull it in"
    - remove DefaultDependencies=no so that we pull in default dependencies
      for "basic system initialization". While ufw is meant to come up before
      networking, there is no reason why it shouldn't come up after sysinit.
      This should help make ufw startup more robust on systems that need
      something from sysinit.

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Tue, 02 Nov 2021 13:27:42 +0000

ufw (0.36.1-2) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * 0004-set-default-policy-after-load.patch: fix boot stall on iscsi/network
    root filesystem when starting ufw (LP: #1946804)

  [ Jamie Strandboge ]
  * rename python3-versions.diff as 0003-python3-versions.patch
  * debian/upstream/metadata: add Bug-Submit and Bug-Database

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Wed, 13 Oct 2021 19:02:20 +0000

ufw (0.36.1-1) unstable; urgency=medium

  * New upstream release (LP: #1808463, LP: #1831186, LP: #1838764,
    LP: #1556419, LP: #1933117). Drop the following (included upstream):
    - 0002-fix-check-requirements.patch
    - 0003-lp1838764.patch
    - 0004-make-root-tests-chain-order-agnostic.patch
    - 0005-use-only-python3.patch
    - 0006-bug921680.patch
    - 0007-bug921680-pt2.patch
    - 0008-fix-check-requirements-again.patch
    - 0009-empty-non-functioning-ipt-modules.patch
    - 0010-add-other-firewall-checks.patch
    - 0011-suppress-legacy-warnings-in-tests.patch
    - 0012-pyflakes3.patch
    - 0013-add-prepend-to-help.patch
  * Remaining changes:
    - 0001-optimize-boot.patch
    - python3-versions.diff

  [ Jamie Strandboge ]
  * ufw.lintian-overrides:
    - remove init.d-script-possible-missing-stop override
    - adjust "allow to" override
    - override spare-manual-page for ufw-framework as it gives additional
      details for the ufw command
  * 0002-fix-copyright.patch: src/ufw: update copyright year
  * debian/*: use my jdstrand@ubuntu.com email address

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use set -e rather than passing -e on the shebang-line.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update watch file format version to 4.

  [ Bastian Triller ]
  * debian/ufw.logrotate: use rsyslog-rotate instead of invoke-rc.d
    (Closes: 993525)

 -- Jamie Strandboge <jdstrand@ubuntu.com>  Sun, 19 Sep 2021 05:46:12 +0000

ufw (0.36-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix python version check for Python >= 3.9. Closes: #975912.
  * Annotate test-ufw.py autopkgtest with Architecture: amd64 (Paul Gevers).
    Closes: #975907.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Nov 2020 20:02:12 +0100

ufw (0.36-7) unstable; urgency=medium

  * 0012-pyflakes3.patch: Makefile: base pyflakes executable on PYTHON
  * 0013-add-prepend-to-help.patch: fix pyflakes error and add prepend to
    help
  * debian/control: use Build-Depends on debhelper-compat (=13) and remove
    debian/compat
  * debian/rules:
    - use dh_installsystemd instead of dh_systemd_enable and dh_systemd_start
    - use --no-stop-on-upgrade with dh_installinit

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Sep 2020 13:11:29 +0000

ufw (0.36-6) unstable; urgency=medium

  * 0009-empty-non-functioning-ipt-modules.patch: empty out IPT_MODULES and
    update documentation regarding modern use of connection tracking modules.
    ufw historically used IPT_MODULES in /etc/defaults/ufw to
    load various connection tracking modules, but use of this mechanism has
    been deprecated for some time. These days, the kernel defaults to
    deactivating flows for various connection tracking modules so users have
    to perform an extra sysctl step to use this old mechanism anyway, so empty
    IPT_MODULES and better document use of connection tracking modules. A
    future upload will introduce rule syntax for working with connection
    tracking helper rules. (LP: #1556419)
  * 0010-add-other-firewall-checks.patch: adjust the check-requirements
    diagnostic tool to warn about other installed firewall software
  * 0011-suppress-legacy-warnings-in-tests.patch: suppress iptables warnings
    about legacy rules being present in root functional tests

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 02 Apr 2020 12:05:30 +0000

ufw (0.36-5) unstable; urgency=medium

  * debian/control: really fix Vcs-Git (use -b debian/master) and add
    Vcs-Browser
  * debian/tests/control:
    - add back isolation-machine for test-ufw.py since isolation-container
      doesn't work in Debian CI on arm64
    - use test-ufw.py --container with isolation-container that will only run
      on amd64. May need to revert if this is flaky
  * debian/tests/test-ufw.py: support --container

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 02 Mar 2020 13:01:18 +0000


