=== debian/control ===
Source: ufw
Section: admin
Priority: optional
Maintainer: Jamie Strandboge <jdstrand@ubuntu.com>
Build-Depends-Indep:
 iptables,
 netbase,
 procps,
 sed (>= 3.95)
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 po-debconf,
 python3 (>= 3.2),
 python3-distutils
Standards-Version: 4.6.0.1
Homepage: https://launchpad.net/ufw
Vcs-Browser: https://git.launchpad.net/ufw?h=debian/master
Vcs-Git: https://git.launchpad.net/ufw -b debian/master

Package: ufw
Architecture: all
Suggests: rsyslog
Depends:
 iptables,
 lsb-base (>= 3.0-6),
 ucf,
 ${python3:Depends},
 ${misc:Depends}
XB-Python-Version: ${python3:Versions}
Description: program for managing a Netfilter firewall
 The Uncomplicated FireWall is a front-end for iptables, to make managing a
 Netfilter firewall easier. It provides a command line interface with syntax
 similar to OpenBSD's Packet Filter. It is particularly well-suited as a
 host-based firewall.
